Skip to main content
GET
/
teams
Retrieve all teams
curl --request GET \
  --url https://incoming.qomon.app/teams \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "teams": [
      {
        "id": 1,
        "name": "<string>",
        "address": {
          "addition": "<string>",
          "building": "<string>",
          "city": "<string>",
          "country": "<string>",
          "county": "<string>",
          "door": "<string>",
          "floor": "<string>",
          "housenumber": "<string>",
          "id": 1,
          "infos": "<string>",
          "latitude": "<string>",
          "location": "<string>",
          "longitude": "<string>",
          "pollingstation": "<string>",
          "postalcode": "<string>",
          "score": 123,
          "state": "<string>",
          "street": "<string>"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "hide_users": true,
        "leaders": [
          {
            "CreatedAt": "2023-11-07T05:31:56Z",
            "UpdatedAt": "2023-11-07T05:31:56Z",
            "address": "<string>",
            "avatar": "<string>",
            "birthdate": "2023-11-07T05:31:56Z",
            "city": "<string>",
            "created": "2023-11-07T05:31:56Z",
            "firstname": "<string>",
            "group_id": [
              123
            ],
            "id": 123,
            "locale": "<string>",
            "location": "<string>",
            "mail": "jsmith@example.com",
            "phone": "<string>",
            "postal": "<string>",
            "role_data": {
              "color": "<string>",
              "id": 1,
              "mobile": true,
              "name": "<string>",
              "order": 1,
              "web": true
            },
            "status": "<string>",
            "surname": "<string>",
            "two_factor_enable": true
          }
        ],
        "private": true,
        "updated_at": "2023-11-07T05:31:56Z",
        "users": [
          {
            "CreatedAt": "2023-11-07T05:31:56Z",
            "UpdatedAt": "2023-11-07T05:31:56Z",
            "address": "<string>",
            "avatar": "<string>",
            "birthdate": "2023-11-07T05:31:56Z",
            "city": "<string>",
            "created": "2023-11-07T05:31:56Z",
            "firstname": "<string>",
            "group_id": [
              123
            ],
            "id": 123,
            "locale": "<string>",
            "location": "<string>",
            "mail": "jsmith@example.com",
            "phone": "<string>",
            "postal": "<string>",
            "role_data": {
              "color": "<string>",
              "id": 1,
              "mobile": true,
              "name": "<string>",
              "order": 1,
              "web": true
            },
            "status": "<string>",
            "surname": "<string>",
            "two_factor_enable": true
          }
        ]
      }
    ]
  },
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.

Query Parameters

user_id
integer<int64>

When set, return only teams the user with this ID belongs to.

Required range: x >= 0

Response

OK

data
object
required
status
string
required

Operation result.

Example:

"success"

Last modified on June 16, 2026